

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>The Xen Hypervisor documentation &mdash; Xen 4.16-unstable documentation</title>
  

  
  
  
  

  

  
  
    

  

  
  
    <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  

  

  
        <link rel="index" title="Index"
              href="genindex.html"/>
        <link rel="search" title="Search" href="search.html"/>
    <link rel="top" title="Xen 4.16-unstable documentation" href="#"/>
        <link rel="next" title="Admin Guide" href="admin-guide/index.html"/> 

  
  <script src="_static/js/modernizr.min.js"></script>

</head>

<body class="wy-body-for-nav" role="document">

   
  <div class="wy-grid-for-nav">

    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search">
          

          
            <a href="#" class="icon icon-home"> Xen
          

          
          </a>

          
            
            
              <div class="version">
                4.16
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <ul>
<li class="toctree-l1"><a class="reference internal" href="admin-guide/index.html">Admin Guide</a></li>
</ul>
<ul>
<li class="toctree-l1"><a class="reference internal" href="guest-guide/index.html">Guest documentation</a></li>
</ul>
<ul>
<li class="toctree-l1"><a class="reference internal" href="hypervisor-guide/index.html">Hypervisor documentation</a></li>
</ul>
<ul>
<li class="toctree-l1"><a class="reference internal" href="hypercall-interfaces/index.html">Hypercall Interfaces</a></li>
</ul>
<ul>
<li class="toctree-l1"><a class="reference internal" href="glossary.html">Glossary</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" role="navigation" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="#">Xen</a>
        
      </nav>


      
      <div class="wy-nav-content">
        <div class="rst-content">
          















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="#">Docs</a> &raquo;</li>
        
      <li>The Xen Hypervisor documentation</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
            
            <a href="_sources/index.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="the-xen-hypervisor-documentation">
<h1>The Xen Hypervisor documentation<a class="headerlink" href="#the-xen-hypervisor-documentation" title="Permalink to this headline">¶</a></h1>
<div class="admonition note">
<p class="first admonition-title">Note</p>
<p class="last">Xen’s Sphinx/RST documentation is a work in progress.  The existing
documentation can be found at <a class="reference external" href="https://xenbits.xen.org/docs/">https://xenbits.xen.org/docs/</a></p>
</div>
<p>Xen is an open source, bare metal hypervisor.  It runs as the most privileged
piece of software on the system, and shares the resources of the hardware
between virtual machines.  See <a class="reference internal" href="admin-guide/introduction.html"><span class="doc">Introduction</span></a> for an
introduction to a Xen system.</p>
<div class="section" id="user-documentation">
<h2>User documentation<a class="headerlink" href="#user-documentation" title="Permalink to this headline">¶</a></h2>
<p>This is documentation for an administrator of a Xen system.  It is intended
for someone who is not necesserily a developer, has installed Xen from their
preferred distribution, and is attempting to run virtual machines and
configure the system.</p>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="admin-guide/index.html">Admin Guide</a><ul>
<li class="toctree-l2"><a class="reference internal" href="admin-guide/introduction.html">Introduction</a></li>
<li class="toctree-l2"><a class="reference internal" href="admin-guide/microcode-loading.html">Microcode Loading</a></li>
</ul>
</li>
</ul>
</div>
</div>
<div class="section" id="guest-documentation">
<h2>Guest documentation<a class="headerlink" href="#guest-documentation" title="Permalink to this headline">¶</a></h2>
<p>This documentation concerns the APIs and ABIs available to guests.  It is
intended for OS developers trying to use a Xen feature, and for Xen developers
to avoid breaking things.</p>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="guest-guide/index.html">Guest documentation</a><ul>
<li class="toctree-l2"><a class="reference internal" href="guest-guide/x86/index.html">x86</a><ul>
<li class="toctree-l3"><a class="reference internal" href="guest-guide/x86/hypercall-abi.html">Hypercall ABI</a></li>
<li class="toctree-l3"><a class="reference internal" href="guest-guide/x86/hypercall-abi.html#hypercall-page">Hypercall Page</a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<div class="section" id="hypervisor-developer-documentation">
<h2>Hypervisor developer documentation<a class="headerlink" href="#hypervisor-developer-documentation" title="Permalink to this headline">¶</a></h2>
<p>This is documentation for a hypervisor developer.  It is intended for someone
who is building Xen from source, and is running the new hypervisor in some
kind of development environment.</p>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="hypervisor-guide/index.html">Hypervisor documentation</a><ul>
<li class="toctree-l2"><a class="reference internal" href="hypervisor-guide/code-coverage.html">Code Coverage</a></li>
<li class="toctree-l2"><a class="reference internal" href="hypervisor-guide/x86/index.html">x86</a></li>
</ul>
</li>
</ul>
</div>
</div>
<div class="section" id="hypercall-interfaces-documentation">
<h2>Hypercall Interfaces documentation<a class="headerlink" href="#hypercall-interfaces-documentation" title="Permalink to this headline">¶</a></h2>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="hypercall-interfaces/index.html">Hypercall Interfaces</a><ul>
<li class="toctree-l2"><a class="reference internal" href="hypercall-interfaces/arm64.html">Hypercall Interfaces - arm64</a></li>
</ul>
</li>
</ul>
</div>
</div>
<div class="section" id="miscellanea">
<h2>Miscellanea<a class="headerlink" href="#miscellanea" title="Permalink to this headline">¶</a></h2>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="glossary.html">Glossary</a></li>
</ul>
</div>
</div>
</div>


           </div>
           <div class="articleComments">
            
           </div>
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="admin-guide/index.html" class="btn btn-neutral float-right" title="Admin Guide" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right"></span></a>
      
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 2019, The Xen development community.

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/snide/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  

    <script type="text/javascript">
        var DOCUMENTATION_OPTIONS = {
            URL_ROOT:'./',
            VERSION:'4.16-unstable',
            COLLAPSE_INDEX:false,
            FILE_SUFFIX:'.html',
            HAS_SOURCE:  true,
            SOURCELINK_SUFFIX: '.txt'
        };
    </script>
      <script type="text/javascript" src="_static/jquery.js"></script>
      <script type="text/javascript" src="_static/underscore.js"></script>
      <script type="text/javascript" src="_static/doctools.js"></script>

  

  
  
    <script type="text/javascript" src="_static/js/theme.js"></script>
  

  
  
  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.StickyNav.enable();
      });
  </script>
   

</body>
</html>